const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Bulungan',
    'Kabupaten Malinau',
    'Kabupaten Nunukan',
    'Kabupaten Tana Tidung',
    'Kota Tarakan'

    // 5
];

exports.seedKalimantanUtaraCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Kalimantan Utara' },
    });

    if (!province) {
        console.error('❌ Province Kalimantan Utara not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: {
                updatedAt: timeLocal.now().toDate()
            },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Kalimantan Utara City seeded!.');
};